<?php
namespace JHodges\GiteaBotPHPUnit;

class ResultPrinter extends \PHPUnit\TextUI\ResultPrinter{

  public function __construct($out = null, $verbose = false, $colors = self::COLOR_DEFAULT, $debug = false, $numberOfColumns = 80){
    parent::__construct($out, $verbose, $colors , $debug , $numberOfColumns);
  }

  public function printResult(\PHPUnit\Framework\TestResult $result){
    parent::printResult($result);
    $poster=new \JHodges\GiteaBotPHPUnit\PostFailedTests('/tmp/logfile.xml');
    $poster->post(
      getenv('GiteaUrl'),
      getenv('GiteaUser'),
      getenv('GiteaPass'),
      getenv('GiteaRepoUser'),
      getenv('GiteaRepo'),
      getenv('GiteaTitle')
    );
  }

  protected function printHeader(){
    parent::printHeader();
  }

  public function messageProcessor(array $record){
    parent::messageProcessor($record);
  }

  public function suiteNameProcessor(array $record){
    parent::suiteNameProcessor($record);
  }

}
